require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddMeal(MealType.STEAK, "steakBeefTenderloin", false);
SManager:AddMeal(MealType.PASTA, "fettucine", true);
SManager:AddMeal(MealType.CHICKEN, "chickenHoney", false);

SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", false);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", true);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", false);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMShanghai", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMTahiti", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMHimalayas", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.MEAL, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");